{
  "name": "@multiplatform.one/router",
  "version": "5.0.27",
  "description": "multiplatform.one router with support for react-router-dom and react-navigation",
  "sideEffects": false,
  "keywords": ["react", "react-native"],
  "homepage": "https://multiplatform.one",
  "bugs": {
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one/issues",
    "email": "support@risserlabs.com"
  },
  "license": "Apache-2.0",
  "author": "BitSpur <support@risserlabs.com> (https://risserlabs.com)",
  "main": "dist/cjs",
  "module": "dist/esm",
  "module:jsx": "dist/jsx",
  "source": "src/index.ts",
  "types": "types/index.d.ts",
  "exports": {
    ".": {
      "types": "./types/index.d.ts",
      "import": "./dist/esm/index.js",
      "require": "./dist/cjs/index.js"
    },
    "./package.json": "./package.json"
  },
  "scripts": {
    "build": "rm -rf dist types 2>/dev/null && tamagui-build --ts-project ./tsconfig.build.json",
    "test": "vitest run --coverage --coverage.provider=v8 --coverage.reporter=text --coverage.reporter=lcov --coverage.reporter=html",
    "typecheck": "tsc --noEmit"
  },
  "files": ["dist", "src", "types"],
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one"
  },
  "engines": {
    "node": ">=16.0.0"
  },
  "dependencies": {
    "multiplatform.one": "workspace:5.0.27"
  },
  "devDependencies": {
    "@react-navigation/native": "^7.0.14",
    "@tamagui/build": "^1.122.6",
    "@testing-library/react": "^14.1.2",
    "@vitejs/plugin-react": "^4.2.1",
    "jsdom": "^23.0.1",
    "one": "^1.1.401",
    "react": "~18.2.0",
    "react-dom": "~18.2.0",
    "react-native": "0.74.5",
    "react-router-dom": "^6.28.2",
    "typescript": "~5.3.3",
    "vite": "^6.0.3",
    "vitest": "^1.4.0"
  },
  "peerDependencies": {
    "one": "^1.1.345",
    "react": "~18.2.0",
    "react-router-dom": "^6.28.0"
  }
}
